# Update Team Member Budget Configuration - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/budget-update-member-config

# Update Team Member Budget Configuration

PUT

/

openapi

/

v1

/

user

/

team

/

member-budget

Try it

```
curl --request PUT \
--url https://api.novita.ai/openapi/v1/user/team/member-budget \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{"member_id": "", "budget_type": "Recurring", "budget_limit": 100000, "cycle": "Monthly"}'
```

200

```
{}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-member-id)

member_id

string

required

The sub-user account ID of the target member whose budget configuration is being updated.

[​](#param-budget-type)

budget_type

string

required

Budget type. Possible values: `Unlimited`, `One-time`, `Recurring`.

[​](#param-budget-limit)

budget_limit

int64

Budget limit in units of 1/10000 USD (e.g., `10000` = 1.00).Minimumvalueis‘10000‘(1.00). Minimum value is `10000` (1.00).Minimumvalueis‘10000‘(1.00). Required when `budget_type` is `One-time` or `Recurring`. Ignored when `budget_type` is `Unlimited`.

[​](#param-cycle)

cycle

string

Budget reset cycle. Currently only `Monthly` is supported. Required when `budget_type` is `Recurring`.

##

[​](#response)

Response

Returns HTTP 200 with an empty response body on success.

```
curl --request PUT \
--url https://api.novita.ai/openapi/v1/user/team/member-budget \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{"member_id": "", "budget_type": "Recurring", "budget_limit": 100000, "cycle": "Monthly"}'
```

200

```
{}
```

Last modified on April 20, 2026
